Get dashboard
curl --request POST \
--url https://mention-me.com/api/entry-point/{version}/dashboard \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"emailAddress": "jane.doe@example.com",
"firstname": "",
"surname": "",
"title": "",
"uniqueIdentifier": "",
"segment": "",
"customField": "",
"visitorId": ""
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"authenticationToken": "",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73"
}
}
'{
"url": "<string>",
"defaultCallToAction": ""
}Dashboard
Get dashboard
Provide a customers’ details so we can tell you if we could show them a dashboard (or offer). We’ll provide the URL to the web-view for their dashboard.
Provide their full details (name, email, customerId) if you want us to optionally register them if they’re not yet a referrer.
For information on how to correctly generate the Authentication Token, please see the documentation: https://docs.mention-me.com/api-reference/entry-point-api/authentication-token
POST
/
api
/
entry-point
/
{version}
/
dashboard
Get dashboard
curl --request POST \
--url https://mention-me.com/api/entry-point/{version}/dashboard \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"emailAddress": "jane.doe@example.com",
"firstname": "",
"surname": "",
"title": "",
"uniqueIdentifier": "",
"segment": "",
"customField": "",
"visitorId": ""
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"authenticationToken": "",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73"
}
}
'{
"url": "<string>",
"defaultCallToAction": ""
}Path Parameters
Version
Available options:
v2, v1 Pattern:
v2|v1Body
application/json
Information to retrieve a referrer dashboard entry point URL
Last modified on June 11, 2026
Was this page helpful?
⌘I